package cn.com.liandisys.ycjt.ggcx.common.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.liandisys.ycjt.ggcx.common.dao.DataDicDao;
import cn.com.liandisys.ycjt.ggcx.common.model.DataDic;


/**
 * 
 *     
 * 项目名称：ycjt-ggcx    
 * 类名称：DataDicService    
 * 类描述：    
 * 创建人：yangd    
 * 创建时间：2016年11月25日 下午2:29:53    
 * 修改人：yangd    
 * 修改时间：2016年11月25日 下午2:29:53    
 * 修改备注：    
 * @version     
 *
 */
@Service
public class DataDicService
{
	
	@Autowired
	private DataDicDao dataDicDao;
	
	/**
	 * 根据传入的type，获取该类型字典数据list
	 * @param type
	 * @return
	 * @throws Exception
	 */
	public List<DataDic> getDataDicInfo(String type) throws Exception
	{
		return dataDicDao.findByType(type);
	}
	
	/**
	 * 根据传入的type和value，获取该属性的名称
	 * @param type value
	 * @return
	 * @throws Exception
	 */
	public String getDataDicName(String type,String value) throws Exception
	{
		DataDic datadic =  dataDicDao.findByTypeAndValue(type, value);
		if(datadic != null){
			return datadic.getName();
		}
		return "";
	}
}